| crypto-api-0.2.1: A generic interface for cryptographic operations | Contents | Index
Crypto.HMAC |
Portability | portable
Stability | beta
Maintainer | Thomas.DuBuisson@gmail.com
Description
Synopsis
hmac :: Hash c d => MacKey -> ByteString -> d
hmac' :: Hash c d => MacKey -> ByteString -> d
newtype MacKey = MacKey ByteString
Documentation
hmac :: Hash c d => MacKey -> ByteString -> d
Message authentication code calculation for lazy bytestrings. `hmac k msg` will compute an authentication code for `msg` using key `k`
hmac' :: Hash c d => MacKey -> ByteString -> d
`hmac k msg` will compute an authentication code for `msg` using key `k`
newtype MacKey
Constructors
MacKey ByteString |
Instances
Eq MacKey |
Ord MacKey |
Show MacKey |
Produced by Haddock version 2.7.2